shishi_server_for_local_service(3)

NAME
shishi_server_for_local_service - API function

SYNOPSIS
#include <shishi.h>

char * shishi_server_for_local_service(Shishi * handle, const char * service);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

const char * service
    null terminated string with name of service, e.g., "host".

DESCRIPTION
Construct a service principal (e.g., "imap/yxa.extuno.com") based on supplied service name (i.e., "imap") and the system's hostname as returned by hostname() (i.e., "yxa.extundo.com"). The string must be deallocated by the caller.

RETURN VALUE
Return newly allocated service name string.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.